<mat-toolbar class="mat-elevation-z5" color="primary">
	<app-avatar [group]="callService.group"></app-avatar>

	<span>{{ callService.group?.partnerProfile?.displaynameDecrypted || callService.group?.nameDecrypted }}</span>

	<div>
		<button
			*ngIf="this.callService.group?.id === activatedRoute.snapshot.params.groupId"
			mat-icon-button
			routerLink="/connect/group/{{ callService.group?.id }}"
			aria-label="Go to call"
			matTooltip="{{ 'simple.goToCall' | translate }}"
		>
			<mat-icon>open_in_browser</mat-icon>
		</button>
		<app-call-controls></app-call-controls>
	</div>

	<mat-chip-list>
		<mat-chip
			*ngFor="let memberConnection of webrtcService.memberConnections"
			(click)="screenShareCard.focusMediaStream(memberConnection)"
			(contextmenu)="openContextMenu(memberConnection, $event)"
			[class.speaking]="memberConnection.speakingSubject | async"
		>
			{{ memberConnection.membershipCaller.profile?.displaynameDecrypted }}
			<mat-icon *ngIf="memberConnection.getMediaStreams('UNKNOWN').length > 0">image</mat-icon>
			<mat-icon *ngIf="memberConnection.getMediaStreams('VIDEO').length > 0">videocam</mat-icon>
			<mat-icon *ngIf="memberConnection.getMediaStreams('SCREEN').length > 0">personal_video</mat-icon>
			<mat-icon *ngIf="memberConnection.microphoneMutedSubject | async">mic_off</mat-icon>
			<mat-icon *ngIf="memberConnection.speakerMutedSubject | async">volume_off</mat-icon>
		</mat-chip>
	</mat-chip-list>
</mat-toolbar>

<app-screen-share-card
	#screenShareCard
	cdkDrag
	[cdkDragFreeDragPosition]="dragPosition"
	(sizeChange)="onSizeChange($event)"
	(videoReady)="onVideoReady()"
></app-screen-share-card>
